Search products
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.facetflux.com/api/v1/public/products/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://app.facetflux.com/api/v1/public/products/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.get("https://app.facetflux.com/api/v1/public/products/search")
.header("Authorization", "Bearer <token>")
.asString();{
"page": 123,
"pageSize": 123,
"totalCount": 123,
"data": [
{
"id": "<string>",
"schemaId": "<string>",
"skuList": [
"<string>"
],
"productNumber": "<string>",
"primaryTypeId": "<string>",
"traitIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"channelCodes": [
"<string>"
],
"isConfigurable": true,
"status": 123,
"purpose": 123,
"roleValues": {
"name": "<string>",
"description": "<string>",
"brand": "<string>",
"customerProductId": "<string>",
"primaryImageUrl": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Product Catalog
Search products
GET
/
api
/
v1
/
public
/
products
/
search
Search products
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.facetflux.com/api/v1/public/products/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://app.facetflux.com/api/v1/public/products/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.get("https://app.facetflux.com/api/v1/public/products/search")
.header("Authorization", "Bearer <token>")
.asString();{
"page": 123,
"pageSize": 123,
"totalCount": 123,
"data": [
{
"id": "<string>",
"schemaId": "<string>",
"skuList": [
"<string>"
],
"productNumber": "<string>",
"primaryTypeId": "<string>",
"traitIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"channelCodes": [
"<string>"
],
"isConfigurable": true,
"status": 123,
"purpose": 123,
"roleValues": {
"name": "<string>",
"description": "<string>",
"brand": "<string>",
"customerProductId": "<string>",
"primaryImageUrl": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Your FacetFlux API key, minted under Settings → API keys.
Query Parameters
⌘I